var cmapConfig = {
    mapboxgl: {
        gis_sdk: 'mapboxgl', // 引擎类型
        center: [116.496696, 39.807595],  // 中心点位置 
        // style: {
        //   // Style specification version number. Must be 8.
        //   version: 8,
        //   // 离线字体库，如使用style layout 的 text-xxx 相关属性，则必填
        //   glyphs: '/gis_sdk/mapboxgl/glyphs/mapbox/{fontstack}/{range}.pbf',
        //   // 离线符号库（雪碧图库），非必填，更多使用于自定义雪碧图库的场景，减少手动加载自定义图标、纹理等图片的请求开支
        //   // sprite: '/gis_sdk/mapboxgl/sprites/mapbox-gl-default/sprite',
        //   lights: [
        //     {
        //       id: 'environment',
        //       type: 'ambient',
        //       properties: {
        //         color: 'rgba(255.0, 0.0, 0.0, 1.0)',
        //         intensity: 0.4,
        //       },
        //     },
        //   ],
        //   sources: {
        //     base_layer: {
        //       type: 'raster',
        //       tiles: ['/geoserver/cusc/wms?service=WMS&version=1.1.0&request=GetMap&layers=cusc:FUI_BASE&bbox={bbox-epsg-3857}&width=1920&height=1080&srs=EPSG%3A3857&styles=&format=image%2Fpng&TRANSPARENT=TRUE'],
        //     }
        //   },
        //   layers: [
        //     {
        //       id: 'background',
        //       type: 'background',
        //       paint: {
        //         'background-color': 'rgba(0,0,0,0.4)',
        //       },
        //     },
        //     {
        //       id: 'base_layer',
        //       type: 'raster',
        //       source: 'base_layer',
        //     }
        //   ]
        // }, //样式 satellite-v9 卫星  街道
        zoom: 16, // 层级
        tk: 'pk.eyJ1Ijoid2VpbGlibyIsImEiOiJjbGhsYmQxNDgwbG5yM2VvcGpucWs4djBmIn0.3PiHYTsoCPnwQ1xa4HxgnQ',  // token
    },
    brightmap: {
        gis_sdk: 'brightmap', // 引擎类
        mapType: 'SATELLITE_ARCGIS', // 设置地图类型  NORMAL_GAODESATELLITE_ARCGISSATELLITE_IMAGE
        center: [116.4991, 39.9638], // 可选，初始化地图中心点，数组对象，如[116.3, 39.9]，必须与rotation项同时设置
        rotation: [-45, 0, 3800], // 可选，初始化相机姿态，数组对象，如[-20, -30,5000]，必须与center项同时设置
        tk: '664B115CA5F286C1D2E32CC012057B4566240ADF12B80545F35501B4AF2BC1947A491C69F95CDE5C1B49D7F6366EC0F6',  // token
    },
    freedo: {
        gis_sdk: 'freedo', // 引擎类型
        host: "172.29.128.30:8080", // 地址172.29.128.30:8080
        pid: 3, // 工程ID
    },
    '51world': {
        gis_sdk: '51world', // 引擎类型
        "url": "http://172.29.128.78:8890/service",
        // "url": "http://192.168.60.137:8890/service",    // 本地测试使用
        "order": "6f56f313bbcf0891dcdd51f2d7f47197",
        // "resolution": [1920, 1080], //[可选] 场景输出分辨率
        "debugMode": "normal", //[可选] none:不打印日志, normal:普通日志
        "keyboard": { //[可选]
            "normal": true, //[可选] 键盘事件(wasd方向)开启关闭
            "func": false //[可选] 浏览器F1~F12功能键开启关闭
        }
    }
};